import{s as Ft,n as At,o as qt}from"../chunks/scheduler.6062bdaf.js";import{S as Et,i as Dt,g as s,s as o,r as c,A as zt,h as l,f as e,c as a,j as T,u,x as C,k as O,y as n,a as m,v as d,d as f,t as g,w as h}from"../chunks/index.4bca734e.js";import{D as H}from"../chunks/Docstring.d7918b6d.js";import{H as _t,E as Pt}from"../chunks/EditOnGithub.74ab2baa.js";function kt($t){let v,Y,j,X,N,Z,L,J,r,w,lt,k,bt="Base class for TFLite exportable model describing metadata on how to export the model through the TFLite format.",pt,I,yt="Class attributes:",mt,M,Tt=`<li><p>NORMALIZED_CONFIG_CLASS (<code>Type</code>) — A class derived from <a href="/docs/optimum/v1.22.0/en/utils/normalized_config#optimum.utils.NormalizedConfig">NormalizedConfig</a> specifying how to
normalize the model config.</p></li> <li><p>DUMMY_INPUT_GENERATOR_CLASSES (<code>Tuple[Type]</code>) — A tuple of classes derived from
<a href="/docs/optimum/v1.22.0/en/utils/dummy_input_generators#optimum.utils.DummyInputGenerator">DummyInputGenerator</a> specifying how to create dummy inputs.</p></li> <li><p>ATOL_FOR_VALIDATION (<code>Union[float, Dict[str, float]]</code>) — A float or a dictionary mapping task names to float,
where the float values represent the absolute tolerance value to use during model conversion validation.</p></li> <li><p>MANDATORY_AXES (<code>Tuple[Union[str, Tuple[Union[str, Tuple[str]]]]]</code>) — A tuple where each element is either:</p> <ul><li>An axis  name, for instance “batch_size” or “sequence_length”, that indicates that the axis dimension is
needed to export the model,</li> <li>Or a tuple containing two elements:<ul><li>The first one is either a string or a tuple of strings and specifies for which task(s) the axis is needed</li> <li>The second one is the axis name.</li></ul></li></ul> <p>For example: <code>MANDATORY_AXES = (&quot;batch_size&quot;, &quot;sequence_length&quot;, (&quot;multiple-choice&quot;, &quot;num_choices&quot;))</code> means that
to export the model, the batch size and sequence length values always need to be specified, and that a value
for the number of possible choices is needed when the task is multiple-choice.</p></li>`,ct,$,F,ut,S,Ct="List containing the names of the inputs the exported model should take.",dt,b,A,ft,V,Ot="List containing the names of the outputs the exported model should have.",gt,y,q,ht,R,Nt=`Generates dummy inputs that the exported model should be able to process.
This method is actually used to determine the input specs that are needed for the export.`,K,E,Q,x,D,vt,U,Lt="Handles encoder-based text architectures.",W,_,z,xt,G,wt="Handles vision architectures.",tt,P,et,B,nt;return N=new _t({props:{title:"Configuration classes for TFLite export",local:"configuration-classes-for-tflite-export",headingTag:"h1"}}),L=new _t({props:{title:"Base classes",local:"optimum.exporters.tflite.TFLiteConfig",headingTag:"h2"}}),w=new H({props:{name:"class optimum.exporters.tflite.TFLiteConfig",anchor:"optimum.exporters.tflite.TFLiteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"optimum.exporters.tflite.TFLiteConfig.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.exporters.tflite.TFLiteConfig.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;feature-extraction&quot;</code>) &#x2014;
The task the model should be exported for.`,name:"task"},{anchor:"optimum.exporters.tflite.TFLiteConfig.The",description:"<strong>The</strong> rest of the arguments are used to specify the shape of the inputs the model can take. &#x2014;",name:"The"},{anchor:"optimum.exporters.tflite.TFLiteConfig.They",description:"<strong>They</strong> are required or not depending on the model the <code>TFLiteConfig</code> is designed for. &#x2014;",name:"They"}],source:"https://github.com/huggingface/optimum/blob/v1.22.0/optimum/exporters/tflite/base.py#L118"}}),F=new H({props:{name:"inputs",anchor:"optimum.exporters.tflite.TFLiteConfig.inputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.22.0/optimum/exporters/tflite/base.py#L282",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A list of input names.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[str]</code></p>
`}}),A=new H({props:{name:"outputs",anchor:"optimum.exporters.tflite.TFLiteConfig.outputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.22.0/optimum/exporters/tflite/base.py#L293",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A list of output names.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[str]</code></p>
`}}),q=new H({props:{name:"generate_dummy_inputs",anchor:"optimum.exporters.tflite.TFLiteConfig.generate_dummy_inputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.22.0/optimum/exporters/tflite/base.py#L303",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A dictionary mapping input names to dummy tensors.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Dict[str, tf.Tensor]</code></p>
`}}),E=new _t({props:{title:"Middle-end classes",local:"optimum.exporters.tflite.config.TextEncoderTFliteConfig",headingTag:"h2"}}),D=new H({props:{name:"class optimum.exporters.tflite.config.TextEncoderTFliteConfig",anchor:"optimum.exporters.tflite.config.TextEncoderTFliteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/optimum/blob/v1.22.0/optimum/exporters/tflite/config.py#L27"}}),z=new H({props:{name:"class optimum.exporters.tflite.config.VisionTFLiteConfig",anchor:"optimum.exporters.tflite.config.VisionTFLiteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/optimum/blob/v1.22.0/optimum/exporters/tflite/config.py#L36"}}),P=new Pt({props:{source:"https://github.com/huggingface/optimum/blob/main/docs/source/exporters/tflite/package_reference/configuration.mdx"}}),{c(){v=s("meta"),Y=o(),j=s("p"),X=o(),c(N.$$.fragment),Z=o(),c(L.$$.fragment),J=o(),r=s("div"),c(w.$$.fragment),lt=o(),k=s("p"),k.textContent=bt,pt=o(),I=s("p"),I.textContent=yt,mt=o(),M=s("ul"),M.innerHTML=Tt,ct=o(),$=s("div"),c(F.$$.fragment),ut=o(),S=s("p"),S.textContent=Ct,dt=o(),b=s("div"),c(A.$$.fragment),ft=o(),V=s("p"),V.textContent=Ot,gt=o(),y=s("div"),c(q.$$.fragment),ht=o(),R=s("p"),R.textContent=Nt,K=o(),c(E.$$.fragment),Q=o(),x=s("div"),c(D.$$.fragment),vt=o(),U=s("p"),U.textContent=Lt,W=o(),_=s("div"),c(z.$$.fragment),xt=o(),G=s("p"),G.textContent=wt,tt=o(),c(P.$$.fragment),et=o(),B=s("p"),this.h()},l(t){const i=zt("svelte-u9bgzb",document.head);v=l(i,"META",{name:!0,content:!0}),i.forEach(e),Y=a(t),j=l(t,"P",{}),T(j).forEach(e),X=a(t),u(N.$$.fragment,t),Z=a(t),u(L.$$.fragment,t),J=a(t),r=l(t,"DIV",{class:!0});var p=T(r);u(w.$$.fragment,p),lt=a(p),k=l(p,"P",{"data-svelte-h":!0}),C(k)!=="svelte-1jfshjd"&&(k.textContent=bt),pt=a(p),I=l(p,"P",{"data-svelte-h":!0}),C(I)!=="svelte-wz8va1"&&(I.textContent=yt),mt=a(p),M=l(p,"UL",{"data-svelte-h":!0}),C(M)!=="svelte-t7qjwt"&&(M.innerHTML=Tt),ct=a(p),$=l(p,"DIV",{class:!0});var it=T($);u(F.$$.fragment,it),ut=a(it),S=l(it,"P",{"data-svelte-h":!0}),C(S)!=="svelte-cpn9v5"&&(S.textContent=Ct),it.forEach(e),dt=a(p),b=l(p,"DIV",{class:!0});var ot=T(b);u(A.$$.fragment,ot),ft=a(ot),V=l(ot,"P",{"data-svelte-h":!0}),C(V)!=="svelte-1bc7bh9"&&(V.textContent=Ot),ot.forEach(e),gt=a(p),y=l(p,"DIV",{class:!0});var at=T(y);u(q.$$.fragment,at),ht=a(at),R=l(at,"P",{"data-svelte-h":!0}),C(R)!=="svelte-13849rf"&&(R.textContent=Nt),at.forEach(e),p.forEach(e),K=a(t),u(E.$$.fragment,t),Q=a(t),x=l(t,"DIV",{class:!0});var rt=T(x);u(D.$$.fragment,rt),vt=a(rt),U=l(rt,"P",{"data-svelte-h":!0}),C(U)!=="svelte-sreje6"&&(U.textContent=Lt),rt.forEach(e),W=a(t),_=l(t,"DIV",{class:!0});var st=T(_);u(z.$$.fragment,st),xt=a(st),G=l(st,"P",{"data-svelte-h":!0}),C(G)!=="svelte-10ord85"&&(G.textContent=wt),st.forEach(e),tt=a(t),u(P.$$.fragment,t),et=a(t),B=l(t,"P",{}),T(B).forEach(e),this.h()},h(){O(v,"name","hf:doc:metadata"),O(v,"content",It),O($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(r,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,i){n(document.head,v),m(t,Y,i),m(t,j,i),m(t,X,i),d(N,t,i),m(t,Z,i),d(L,t,i),m(t,J,i),m(t,r,i),d(w,r,null),n(r,lt),n(r,k),n(r,pt),n(r,I),n(r,mt),n(r,M),n(r,ct),n(r,$),d(F,$,null),n($,ut),n($,S),n(r,dt),n(r,b),d(A,b,null),n(b,ft),n(b,V),n(r,gt),n(r,y),d(q,y,null),n(y,ht),n(y,R),m(t,K,i),d(E,t,i),m(t,Q,i),m(t,x,i),d(D,x,null),n(x,vt),n(x,U),m(t,W,i),m(t,_,i),d(z,_,null),n(_,xt),n(_,G),m(t,tt,i),d(P,t,i),m(t,et,i),m(t,B,i),nt=!0},p:At,i(t){nt||(f(N.$$.fragment,t),f(L.$$.fragment,t),f(w.$$.fragment,t),f(F.$$.fragment,t),f(A.$$.fragment,t),f(q.$$.fragment,t),f(E.$$.fragment,t),f(D.$$.fragment,t),f(z.$$.fragment,t),f(P.$$.fragment,t),nt=!0)},o(t){g(N.$$.fragment,t),g(L.$$.fragment,t),g(w.$$.fragment,t),g(F.$$.fragment,t),g(A.$$.fragment,t),g(q.$$.fragment,t),g(E.$$.fragment,t),g(D.$$.fragment,t),g(z.$$.fragment,t),g(P.$$.fragment,t),nt=!1},d(t){t&&(e(Y),e(j),e(X),e(Z),e(J),e(r),e(K),e(Q),e(x),e(W),e(_),e(tt),e(et),e(B)),e(v),h(N,t),h(L,t),h(w),h(F),h(A),h(q),h(E,t),h(D),h(z),h(P,t)}}}const It='{"title":"Configuration classes for TFLite export","local":"configuration-classes-for-tflite-export","sections":[{"title":"Base classes","local":"optimum.exporters.tflite.TFLiteConfig","sections":[],"depth":2},{"title":"Middle-end classes","local":"optimum.exporters.tflite.config.TextEncoderTFliteConfig","sections":[],"depth":2}],"depth":1}';function Mt($t){return qt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Gt extends Et{constructor(v){super(),Dt(this,v,Mt,kt,Ft,{})}}export{Gt as component};
